Package org.eclipse.emf.cdo.lm

# Interface Module

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SystemElement`

All Known Implementing Classes:
  `ModuleImpl`

public interface Module extends SystemElement
A representation of the model object 'Module'.

See Also:
  - `LMPackage.getModule()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `System`
  - `Name`
  - `Type`
  - `Streams`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Comparator<Object>`
`COMPARATOR`

## Method Summary

Modifier and Type
Method
Description
`void`
`forEachBaseline(Consumer<Baseline> consumer)`
`boolean`
`forEachBaseline(Predicate<Baseline> predicate)`
`Stream<Baseline>`
`getAllBaselines()`
`String`
`getName()`
Returns the value of the 'Name' attribute.
`Stream`
`getStream(int majorVersion, int minorVersion)`
`Stream`
`getStream(String codeName)`
`EList<Stream>`
`getStreams()`
Returns the value of the 'Streams' containment reference list.
`System`
`getSystem()`
Returns the value of the 'System' container reference.
`ModuleType`
`getType()`
Returns the value of the 'Type' reference.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setSystem(System value)`
Sets the value of the '`System`' container reference.
`void`
`setType(ModuleType value)`
Sets the value of the '`Type`' reference.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### COMPARATOR

static final Comparator<Object> COMPARATOR

## Method Details

### getSystem

System getSystem()
Returns the value of the 'System' container reference. It is bidirectional and its opposite is '`Modules`'.

Specified by:
  `getSystem` in interface `SystemElement`
Returns:
  the value of the 'System' container reference.
See Also:
  - `setSystem(org.eclipse.emf.cdo.lm.System)`
  - `LMPackage.getModule_System()`
  - `System.getModules()`
Generated
Model
  opposite="modules" required="true" transient="false"

### setSystem

void setSystem(System value)
Sets the value of the '`System`' container reference.

Parameters:
  `value` - the new value of the 'System' container reference.
See Also:
  - `getSystem()`
Generated

### getName

String getName()
Returns the value of the 'Name' attribute.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`
  - `LMPackage.getModule_Name()`
Generated
Model
  required="true"

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`
Generated

### getStreams

EList<Stream> getStreams()
Returns the value of the 'Streams' containment reference list. The list contents are of type `Stream`. It is bidirectional and its opposite is '`Module`'.

Returns:
  the value of the 'Streams' containment reference list.
See Also:
  - `LMPackage.getModule_Streams()`
  - `Stream.getModule()`
Generated
Model
  opposite="module" containment="true"

### getType

ModuleType getType()
Returns the value of the 'Type' reference.

Returns:
  the value of the 'Type' reference.
See Also:
  - `setType(ModuleType)`
  - `LMPackage.getModule_Type()`
Generated
Model

### setType

void setType(ModuleType value)
Sets the value of the '`Type`' reference.

Parameters:
  `value` - the new value of the 'Type' reference.
See Also:
  - `getType()`
Generated

### getStream

Stream getStream(int majorVersion, int minorVersion)

### getStream

Stream getStream(String codeName)

### getAllBaselines

Stream<Baseline> getAllBaselines()

### forEachBaseline

void forEachBaseline(Consumer<Baseline> consumer)

### forEachBaseline

boolean forEachBaseline(Predicate<Baseline> predicate)

Since:
  1.3